MCATMAP(1)

NAME
mCatMap - Point-source imaging program

SYNOPSIS
mCatMap [-c column] [-m refmag] [-d level] [-w size] in.tbl out.fits hdr.template

DESCRIPTION
mCatMap is a point-source imaging program. The user defines a general output FITS image, and its pixels are populated from a table of point sources. The source fluxes (or just source counts) from the table are added into the appropriate pixel to create an output image.

OPTIONS

-c column
    Name of the table column that contains flux levels. If not specified, pixels will be populated with source counts rather than summed flux values.

-m refmag
    Set a reference magnitude to use when calculating fluxes.

-d level
    Turn on debugging to the specified level (1-3)

-w size
    Set a spread size for point sources (default is to use no spread). Allowed values are 3 or 5.

ARGUMENTS

in.tbl
    Input table of source metadata.

out.fits
    Path of output FITS file.

hdr.template
    ASCII header template defining output FITS file.

RESULT
[struct stat="OK", time=seconds]

MESSAGES

OK  [struct stat="OK", time=seconds]

ERROR
    Can't open input table in.tbl

ERROR
    Can't find column 'ra'

ERROR
    Can't find column 'dec'

ERROR
    Can't find column 'column'

ERROR
    Output wcsinit() failed

ERROR
    Template file not found

EXAMPLES

To create an image showing the 2MASS point source fluxes (2mass_pt.tbl) in a 2 square degree area defined by 2mass_pt.hdr:

mCatMap -c flux 2mass_pt.tbl 2mass_pt.fits 2mass_pt.hdr
    [struct stat="OK", time=4]

Output image:

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.